// Copyright (c) 2016-present Mattermost, Inc. All Rights Reserved.
// See LICENSE.txt for license information.

import React from 'react';

const CollaborateImage = () => (
    <svg
        width='303'
        height='176'
        viewBox='0 0 202 117'
        fill='none'
        xmlns='http://www.w3.org/2000/svg'
    >
        <rect
            x='202'
            y='13'
            width='66'
            height='193'
            rx='2'
            transform='rotate(90 202 13)'
            fill='var(--center-channel-color)'
            fillOpacity='0.16'
        />
        <rect
            x='36'
            y='2'
            width='123'
            height='80.6667'
            rx='4'
            fill='var(--center-channel-bg)'
            stroke='var(--center-channel-color)'
            strokeWidth='4'
        />
        <path
            d='M38 5.5C38 4.67157 38.6716 4 39.5 4H155.5C156.328 4 157 4.67157 157 5.5V13H38V5.5Z'
            fill='var(--button-bg)'
            fillOpacity='0.16'
        />
        <rect
            x='69.8184'
            y='8.5'
            width='50.4281'
            height='65.5541'
            rx='1.5'
            fill='var(--center-channel-bg)'
            stroke='var(--center-channel-color)'
        />
        <path
            d='M76.6321 14.5824H85.4085'
            stroke='var(--center-channel-color)'
            strokeOpacity='0.56'
            strokeLinecap='round'
        />
        <path
            d='M75.9009 49.2251H100.036'
            stroke='var(--center-channel-color)'
            strokeOpacity='0.56'
            strokeLinecap='round'
        />
        <path
            d='M75.9009 60.3896H104.424'
            stroke='var(--center-channel-color)'
            strokeOpacity='0.56'
            strokeLinecap='round'
        />
        <path
            d='M76.6321 18.239H92.7221'
            stroke='var(--center-channel-color)'
            strokeOpacity='0.56'
            strokeLinecap='round'
        />
        <path
            d='M75.9007 65.7776H113.2'
            stroke='var(--center-channel-color)'
            strokeOpacity='0.56'
            strokeLinecap='round'
        />
        <path
            d='M76.6321 22.6271H83.2144'
            stroke='var(--center-channel-color)'
            strokeOpacity='0.56'
            strokeLinecap='round'
        />
        <path
            d='M75.9009 55.0015H89.7968'
            stroke='var(--center-channel-color)'
            strokeOpacity='0.56'
            strokeLinecap='round'
        />
        <path
            d='M84.6769 22.6271H91.2592'
            stroke='var(--center-channel-color)'
            strokeOpacity='0.56'
            strokeLinecap='round'
        />
        <path
            d='M93.4536 55.0015H103.454'
            stroke='var(--center-channel-color)'
            strokeOpacity='0.56'
            strokeLinecap='round'
        />
        <path
            d='M106.454 55.0015H111.454'
            stroke='var(--center-channel-color)'
            strokeOpacity='0.56'
            strokeLinecap='round'
        />
        <rect
            x='91.2593'
            y='29.9409'
            width='21.9409'
            height='11.7018'
            rx='1'
            fill='var(--center-channel-color)'
            fillOpacity='0.32'
        />
        <g clipPath='url(#clip0_4216_119972)'>
            <path
                d='M81.7521 35.792L87.5055 36.8605C88.0891 33.6847 85.9851 30.6307 82.8085 30.0407C79.6304 29.4507 76.5808 31.5461 75.9987 34.7235C75.4151 37.8993 77.519 40.9534 80.6957 41.5433C81.656 41.7217 82.6046 41.6548 83.4778 41.3858L81.7521 35.792Z'
                fill='var(--center-channel-bg)'
            />
            <path
                d='M83.4778 41.3858L87.5055 36.8605C88.0891 33.6847 85.9851 30.6307 82.8085 30.0407C79.6304 29.4507 76.5823 31.5461 75.9987 34.7235C75.4151 37.8993 77.519 40.9534 80.6957 41.5433C81.656 41.7217 82.6046 41.6548 83.4778 41.3858Z'
                fill='var(--center-channel-color)'
                fillOpacity='0.32'
            />
            <path
                d='M83.4773 41.3856C85.4912 40.7659 87.0987 39.0762 87.505 36.8603L81.7516 35.7918L83.4773 41.3856Z'
                fill='var(--center-channel-color)'
                fillOpacity='0.64'
            />
            <path
                d='M83.6678 37.8343C84.7897 36.7699 84.8412 34.9922 83.7829 33.8638C82.7246 32.7354 80.9573 32.6836 79.8354 33.748C78.7136 34.8125 78.662 36.5902 79.7203 37.7186C80.7786 38.847 82.546 38.8988 83.6678 37.8343Z'
                fill='var(--center-channel-bg)'
            />
        </g>
        <path
            d='M50.1064 105.143L62.1126 117V56C62.1126 54.8954 61.2171 54 60.1126 54H1.9999C0.895332 54 -9.91821e-05 54.8954 -9.91821e-05 56V102.566C-9.91821e-05 103.67 0.895332 104.566 1.9999 104.566H48.701C49.2272 104.566 49.7321 104.773 50.1064 105.143Z'
            fill='var(--indigo-400)'
        />
        <circle
            opacity='0.48'
            cx='15.9713'
            cy='70.8593'
            r='7.98592'
            fill='var(--neutral-0)'
        />
        <path
            opacity='0.48'
            d='M29.2805 67.3098H43.4777'
            stroke='var(--neutral-0)'
            strokeLinecap='round'
        />
        <path
            opacity='0.48'
            d='M8.87207 89.6087H38.1538'
            stroke='var(--neutral-0)'
            strokeLinecap='round'
        />
        <path
            opacity='0.48'
            d='M8.87207 95.0869H28.3932'
            stroke='var(--neutral-0)'
            strokeLinecap='round'
        />
        <path
            opacity='0.48'
            d='M29.2805 72.6336H51.4636'
            stroke='var(--neutral-0)'
            strokeLinecap='round'
        />
        <path
            opacity='0.48'
            d='M8.87207 83.2818H23.9566'
            stroke='var(--neutral-0)'
            strokeLinecap='round'
        />
        <path
            opacity='0.48'
            d='M27.507 83.2818H43.4788'
            stroke='var(--neutral-0)'
            strokeLinecap='round'
        />
        <rect
            x='148.5'
            y='20.5'
            width='43'
            height='79'
            rx='7.5'
            fill='var(--center-channel-bg)'
            stroke='var(--center-channel-color)'
            strokeWidth='3'
        />
        <path
            d='M150 27.5C150 24.4624 152.462 22 155.5 22H184.5C187.538 22 190 24.4624 190 27.5V29H150V27.5Z'
            fill='var(--button-bg)'
            fillOpacity='0.16'
        />
        <circle
            cx='159.831'
            cy='64.831'
            r='5.83099'
            fill='var(--center-channel-color)'
            fillOpacity='0.32'
        />
        <path
            d='M169.549 63H179.915'
            stroke='var(--center-channel-color)'
            strokeOpacity='0.48'
            strokeLinecap='round'
        />
        <path
            d='M155 74H181'
            stroke='var(--center-channel-color)'
            strokeOpacity='0.48'
            strokeLinecap='round'
        />
        <path
            d='M155 82H175'
            stroke='var(--center-channel-color)'
            strokeOpacity='0.48'
            strokeLinecap='round'
        />
        <path
            d='M169.549 67H185.746'
            stroke='var(--center-channel-color)'
            strokeOpacity='0.48'
            strokeLinecap='round'
        />
        <path
            d='M155 78H171'
            stroke='var(--center-channel-color)'
            strokeOpacity='0.48'
            strokeLinecap='round'
        />
        <path
            d='M174 78L186 78'
            stroke='var(--center-channel-color)'
            strokeOpacity='0.48'
            strokeLinecap='round'
        />
        <rect
            x='162'
            y='25'
            width='16'
            height='1'
            rx='0.5'
            fill='var(--center-channel-color)'
        />
        <circle
            cx='42.5'
            cy='8.5'
            r='1.5'
            fill='var(--center-channel-color)'
            fillOpacity='0.32'
        />
        <circle
            cx='50.5'
            cy='8.5'
            r='1.5'
            fill='var(--center-channel-color)'
            fillOpacity='0.32'
        />
        <circle
            cx='58.5'
            cy='8.5'
            r='1.5'
            fill='var(--center-channel-color)'
            fillOpacity='0.32'
        />
        <path
            d='M112 90L121 90'
            stroke='var(--center-channel-color)'
            strokeLinecap='round'
        />
        <path
            d='M124 90L128 90'
            stroke='var(--center-channel-color)'
            strokeLinecap='round'
        />
        <path
            d='M131 90L161 90'
            stroke='var(--center-channel-color)'
            strokeLinecap='round'
        />
        <path
            d='M109 90L97 90L97 70'
            stroke='var(--center-channel-color)'
            strokeLinecap='round'
            strokeLinejoin='round'
        />
        <defs>
            <clipPath id='clip0_4216_119972'>
                <rect
                    width='11.7018'
                    height='11.7018'
                    fill='var(--center-channel-bg)'
                    transform='translate(75.9007 29.9409)'
                />
            </clipPath>
        </defs>
    </svg>
);

export default CollaborateImage;
