// Copyright (c) 2016-present Mattermost, Inc. All Rights Reserved.
// See LICENSE.txt for license information.

import React from 'react';

const ToolsImage = () => (
    <svg
        width='333'
        height='203'
        viewBox='0 0 222 136'
        fill='none'
        xmlns='http://www.w3.org/2000/svg'
    >
        <rect
            width='82'
            height='78'
            rx='3.01587'
            transform='matrix(1 0 0 -1 120.999 84)'
            fill='var(--center-channel-color)'
            fillOpacity='0.16'
        />
        <rect
            width='63'
            height='52'
            rx='3.01587'
            transform='matrix(1 0 0 -1 18.999 131)'
            fill='var(--center-channel-color)'
            fillOpacity='0.16'
        />
        <path
            d='M11.999 25.2963L11.999 39L143 39L143 4.5'
            stroke='var(--center-channel-color)'
            strokeOpacity='0.32'
            strokeLinecap='round'
        />
        <ellipse
            cx='2'
            cy='2'
            rx='2'
            ry='2'
            transform='matrix(1 8.74228e-08 8.74228e-08 -1 9.99902 25)'
            fill='var(--center-channel-color)'
            fillOpacity='0.48'
        />
        <path
            d='M11.572 128.232L11.572 103.934L35.4204 103.934'
            stroke='var(--center-channel-color)'
            strokeOpacity='0.32'
            strokeLinecap='round'
        />
        <circle
            cx='2.24985'
            cy='2.24985'
            r='2.24985'
            transform='matrix(1 8.74228e-08 8.74228e-08 -1 9.32213 132.732)'
            fill='var(--center-channel-color)'
            fillOpacity='0.48'
        />
        <rect
            x='37.679'
            y='17.5485'
            width='149.372'
            height='97.7757'
            rx='5.41732'
            fill='var(--center-channel-bg)'
            stroke='var(--center-channel-color)'
            strokeWidth='5.41732'
        />
        <g clipPath='url(#clip0_4220_138151)'>
            <rect
                width='137.691'
                height='85.4942'
                transform='translate(43.5198 23.8393)'
                fill='var(--center-channel-bg)'
            />
            <rect
                x='43.5198'
                y='23.8393'
                width='45.6761'
                height='98.3792'
                fill='#1C58D9'
                fillOpacity='0.16'
            />
            <path
                d='M59.3309 30.8664L76.0203 30.8664'
                stroke='var(--center-channel-color)'
                strokeOpacity='0.32'
                strokeLinecap='round'
            />
            <path
                d='M59.3309 33.5015L68.9932 33.5015'
                stroke='var(--center-channel-color)'
                strokeOpacity='0.32'
                strokeLinecap='round'
            />
            <path
                d='M94.4662 31.3057H115.547'
                stroke='var(--center-channel-color)'
                strokeOpacity='0.32'
                strokeLinecap='round'
            />
            <path
                d='M47.9118 42.2855H61.0876'
                stroke='var(--center-channel-color)'
                strokeOpacity='0.32'
                strokeLinecap='round'
            />
            <circle
                cx='51.0293'
                cy='31.3488'
                r='4.34771'
                fill='var(--center-channel-color)'
                fillOpacity='0.32'
            />
            <circle
                cx='48.9991'
                cy='47'
                r='2'
                fill='var(--center-channel-color)'
                fillOpacity='0.32'
            />
            <path
                d='M54.9386 47H79.5334'
                stroke='var(--center-channel-color)'
                strokeOpacity='0.32'
                strokeLinecap='round'
            />
            <circle
                cx='103.999'
                cy='45.0001'
                r='5'
                fill='var(--center-channel-color)'
                fillOpacity='0.32'
            />
            <path
                d='M111.999 45.0001H165.056'
                stroke='var(--center-channel-color)'
                strokeOpacity='0.32'
                strokeLinecap='round'
            />
            <path
                d='M111.999 49.0001H165.056'
                stroke='var(--center-channel-color)'
                strokeOpacity='0.32'
                strokeLinecap='round'
            />
            <path
                d='M111.999 41.0001H125.175'
                stroke='var(--center-channel-color)'
                strokeOpacity='0.32'
                strokeLinecap='round'
            />
            <circle
                cx='103.999'
                cy='63.9999'
                r='5'
                fill='var(--center-channel-color)'
                fillOpacity='0.32'
            />
            <path
                d='M111.999 63.9999H165.056'
                stroke='var(--center-channel-color)'
                strokeOpacity='0.32'
                strokeLinecap='round'
            />
            <path
                d='M111.999 67.9999H165.056'
                stroke='var(--center-channel-color)'
                strokeOpacity='0.32'
                strokeLinecap='round'
            />
            <path
                d='M111.999 59.9999H125.175'
                stroke='var(--center-channel-color)'
                strokeOpacity='0.32'
                strokeLinecap='round'
            />
            <circle
                cx='103.999'
                cy='82.9997'
                r='5'
                fill='var(--center-channel-color)'
                fillOpacity='0.32'
            />
            <path
                d='M111.999 82.9997H165.056'
                stroke='var(--center-channel-color)'
                strokeOpacity='0.32'
                strokeLinecap='round'
            />
            <path
                d='M111.999 86.9997H165.056'
                stroke='var(--center-channel-color)'
                strokeOpacity='0.32'
                strokeLinecap='round'
            />
            <path
                d='M111.999 78.9997H125.175'
                stroke='var(--center-channel-color)'
                strokeOpacity='0.32'
                strokeLinecap='round'
            />
            <circle
                cx='48.9991'
                cy='54.0002'
                r='2'
                fill='var(--center-channel-color)'
                fillOpacity='0.32'
            />
            <path
                d='M54.9386 54.0002H74.2631'
                stroke='var(--center-channel-color)'
                strokeOpacity='0.32'
                strokeLinecap='round'
            />
            <circle
                cx='48.9991'
                cy='61.9998'
                r='2'
                fill='var(--center-channel-color)'
                fillOpacity='0.32'
            />
            <path
                d='M54.9386 61.9998H82.1686'
                stroke='var(--center-channel-color)'
                strokeOpacity='0.32'
                strokeLinecap='round'
            />
            <circle
                cx='48.9991'
                cy='68.9999'
                r='2'
                fill='var(--center-channel-color)'
                fillOpacity='0.32'
            />
            <path
                d='M54.9386 68.9999H79.5334'
                stroke='var(--center-channel-color)'
                strokeOpacity='0.32'
                strokeLinecap='round'
            />
            <circle
                cx='48.9991'
                cy='76'
                r='2'
                fill='var(--center-channel-color)'
                fillOpacity='0.32'
            />
            <path
                d='M54.9386 76H74.2631'
                stroke='var(--center-channel-color)'
                strokeOpacity='0.32'
                strokeLinecap='round'
            />
            <circle
                cx='48.9991'
                cy='83.0001'
                r='2'
                fill='var(--center-channel-color)'
                fillOpacity='0.32'
            />
            <path
                d='M54.9386 83.0001H82.1686'
                stroke='var(--center-channel-color)'
                strokeOpacity='0.32'
                strokeLinecap='round'
            />
        </g>
        <circle
            cx='22.8507'
            cy='54.7066'
            r='22.028'
            fill='white'
            stroke='var(--center-channel-color)'
        />
        <path
            d='M36.4619 51.8019L36.4223 51.7007L32.5895 41.6979C32.5115 41.5019 32.3734 41.3356 32.1951 41.2229C32.0166 41.1121 31.8084 41.0587 31.5987 41.07C31.3889 41.0813 31.1876 41.1566 31.0221 41.2859C30.8583 41.4189 30.7396 41.5991 30.6819 41.802L28.094 49.7198H17.6146L15.0267 41.802C14.9706 41.598 14.8515 41.4169 14.6865 41.2845C14.5209 41.1552 14.3197 41.0798 14.1099 41.0685C13.9002 41.0573 13.692 41.1106 13.5135 41.2214C13.3355 41.3346 13.1976 41.5007 13.1191 41.6965L9.27897 51.6949L9.24085 51.796C8.6891 53.2377 8.62099 54.8196 9.0468 56.3033C9.47261 57.787 10.3692 59.0921 11.6015 60.0217L11.6147 60.032L11.6499 60.0569L17.4885 64.4293L20.3771 66.6155L22.1366 67.9439C22.3424 68.1002 22.5937 68.1848 22.8521 68.1848C23.1105 68.1848 23.3618 68.1002 23.5676 67.9439L25.3271 66.6155L28.2157 64.4293L34.0895 60.0305L34.1041 60.0188C35.3336 59.089 36.2282 57.7853 36.6533 56.3035C37.0785 54.8218 37.0113 53.2422 36.4619 51.8019Z'
            fill='#E24329'
        />
        <path
            d='M36.4621 51.8023L36.4225 51.7012C34.5549 52.0845 32.795 52.8756 31.2686 54.0179L22.8508 60.3829C25.7173 62.5515 28.2129 64.4356 28.2129 64.4356L34.0867 60.0368L34.1014 60.0251C35.3327 59.0953 36.2286 57.7908 36.6543 56.3078C37.0801 54.8248 37.0126 53.2437 36.4621 51.8023Z'
            fill='#FC6D26'
        />
        <path
            d='M17.4887 64.4353L20.3772 66.6215L22.1368 67.9499C22.3426 68.1062 22.5939 68.1908 22.8523 68.1908C23.1107 68.1908 23.362 68.1062 23.5678 67.9499L25.3273 66.6215L28.2158 64.4353C28.2158 64.4353 25.7173 62.5453 22.8508 60.3826C19.9843 62.5453 17.4887 64.4353 17.4887 64.4353Z'
            fill='#FCA326'
        />
        <path
            d='M14.4314 54.0176C12.9062 52.873 11.1467 52.0799 9.27897 51.6951L9.24085 51.7962C8.6891 53.2379 8.62099 54.8198 9.0468 56.3035C9.47261 57.7872 10.3692 59.0923 11.6015 60.0219L11.6147 60.0322L11.6499 60.0571L17.4885 64.4295C17.4885 64.4295 19.9812 62.5454 22.8506 60.3768L14.4314 54.0176Z'
            fill='#FC6D26'
        />
        <circle
            cx='80.6861'
            cy='112.302'
            r='12.468'
            fill='white'
            stroke='var(--center-channel-color)'
        />
        <path
            d='M86.6559 105.734H79.5119C79.5119 107.458 80.9572 108.862 82.7329 108.862H84.0543V110.085C84.0543 111.81 85.4997 113.214 87.2754 113.214V106.335C87.2754 105.994 87.007 105.734 86.6559 105.734Z'
            fill='#2684FF'
        />
        <path
            d='M83.1256 109.183H75.9816C75.9816 110.908 77.4269 112.311 79.2026 112.311H80.524V113.555C80.524 115.28 81.9694 116.683 83.7451 116.683V109.785C83.7451 109.464 83.4766 109.183 83.1256 109.183Z'
            fill='url(#paint0_linear_4220_138151)'
        />
        <path
            d='M79.5949 112.652H72.4508C72.4508 114.377 73.8961 115.781 75.6718 115.781H76.9933V117.004C76.9933 118.729 78.4386 120.132 80.2143 120.132V113.254C80.2143 112.913 79.9253 112.652 79.5949 112.652Z'
            fill='url(#paint1_linear_4220_138151)'
        />
        <circle
            cx='129.791'
            cy='120.91'
            r='13.876'
            fill='white'
            stroke='var(--center-channel-color)'
        />
        <path
            d='M132.473 120.909L131.305 121.081L129.731 121.261L128.712 121.285L127.718 121.254L126.958 121.02L126.285 120.291L125.76 118.803L125.643 118.482L124.945 118.247L124.537 117.574L124.247 116.611L124.568 115.765L125.328 115.499L125.939 115.79L126.229 116.432L126.581 116.376L126.699 116.228L126.581 115.555L126.55 114.709L126.723 113.542L126.717 112.875L127.248 112.023L128.181 111.35L129.811 110.652L131.62 110.917L133.195 112.054L133.924 113.221L134.393 114.067L134.51 116.166L134.158 117.975L133.516 119.581L132.911 120.439'
            fill='#F0D6B7'
        />
        <path
            d='M131.485 125.954L127.316 126.127V126.824L127.668 129.276L127.495 129.48L124.581 128.486L124.377 128.134L124.087 124.836L123.401 122.86L123.253 122.391L125.587 120.785L126.316 120.495L126.958 121.285L127.514 121.779L128.156 121.983L128.446 122.07L128.798 123.589L129.064 123.91L129.737 123.675L129.268 124.583L131.8 125.781L131.485 125.954'
            fill='#335061'
        />
        <path
            d='M124.568 115.777L125.328 115.512L125.939 115.802L126.229 116.444L126.581 116.389L126.668 116.037L126.495 115.364L126.668 113.758L126.52 112.881L127.044 112.27L128.181 111.369L127.86 110.93L126.254 111.72L125.581 112.245L125.204 113.06L124.624 113.851L124.451 114.783L124.568 115.777Z'
            fill='#6D6B6D'
        />
        <path
            d='M125.766 113.035C125.766 113.035 126.205 111.955 127.952 111.43C129.7 110.905 128.039 111.053 128.039 111.053L126.143 111.782L125.414 112.51L125.093 113.091L125.766 113.035ZM124.889 115.573C124.889 115.573 124.278 113.529 126.612 113.239L126.526 112.887L124.92 113.264L124.451 114.783L124.568 115.777L124.889 115.573Z'
            fill='#DCD9D8'
        />
        <path
            d='M125.822 118.285L126.205 117.914C126.205 117.914 126.377 117.933 126.408 118.136C126.439 118.34 126.526 120.18 127.779 121.168C127.897 121.261 126.847 121.02 126.847 121.02L125.914 119.563M131.188 117.729C131.188 117.729 131.256 116.846 131.497 116.914C131.738 116.982 131.738 117.222 131.738 117.222C131.738 117.222 131.157 117.593 131.188 117.729ZM133.609 114.493C133.609 114.493 133.127 114.592 133.084 115.018C133.041 115.444 133.609 115.105 133.695 115.074M130.083 114.524C130.083 114.524 129.44 114.611 129.44 115.018C129.44 115.426 130.169 115.395 130.373 115.222M126.118 116.42C126.118 116.42 125.013 115.747 124.895 116.389C124.778 117.031 124.519 117.494 125.068 118.167L124.692 118.05L124.34 117.148L124.222 116.272L124.895 115.574L125.655 115.629L126.093 115.981L126.118 116.42M126.643 114.58C126.643 114.58 127.137 112.011 129.644 111.517C131.707 111.109 132.794 111.603 133.201 112.073C133.201 112.073 131.361 109.887 129.613 110.554C127.866 111.227 126.581 112.449 126.612 113.234C126.662 114.58 126.643 114.58 126.643 114.58M133.405 112.363C133.405 112.363 132.559 112.332 132.528 113.091C132.528 113.091 132.528 113.209 132.584 113.326C132.584 113.326 133.257 112.567 133.664 112.974'
            fill='#F7E4CD'
        />
        <path
            d='M129.706 113.406C129.706 113.406 129.558 112.245 128.57 112.918C127.928 113.357 127.989 113.968 128.101 114.085C128.218 114.203 128.187 114.437 128.273 114.277C128.36 114.116 128.335 113.591 128.656 113.443C128.971 113.295 129.502 113.135 129.706 113.406Z'
            fill='#F7E4CD'
        />
        <path
            d='M126.964 121.285L124.222 122.508C124.222 122.508 125.359 127.028 124.778 128.43L124.371 128.281L124.34 126.559L123.58 123.298L123.259 122.397L126.118 120.47L126.964 121.285M127.242 123.786L127.631 124.262V126.009H127.168C127.168 126.009 127.113 124.786 127.113 124.638C127.113 124.49 127.168 123.965 127.168 123.965M127.255 126.275L125.939 126.33L126.316 126.596L127.248 126.744'
            fill='#49728B'
        />
        <path
            d='M131.744 125.984L132.825 125.954L133.09 128.633L131.985 128.782L131.744 125.984'
            fill='#335061'
        />
        <path
            d='M132.034 125.984L133.664 125.898C133.664 125.898 134.337 124.206 134.337 124.12C134.337 124.033 134.918 121.668 134.918 121.668L133.602 120.297L133.337 120.063L132.639 120.76V123.471L132.034 125.984Z'
            fill='#335061'
        />
        <path
            d='M132.763 125.781L131.744 125.984L131.892 126.8C132.269 126.972 132.911 126.509 132.911 126.509M132.794 120.674L134.838 122.193L134.893 121.495L133.35 120.069L132.794 120.674'
            fill='#49728B'
        />
        <path
            d='M128.267 131.727L127.662 129.276L127.359 127.466L127.31 126.126L130.045 125.978H131.744L131.589 129.041L131.855 131.406L131.824 131.844L129.607 132.017L128.267 131.727Z'
            fill='white'
        />
        <path
            d='M131.367 125.953C131.367 125.953 131.219 128.985 131.658 131.147C131.658 131.147 130.781 131.702 129.502 131.844L131.954 131.758L132.244 131.585L131.892 126.806L131.8 125.78'
            fill='#DCD9D8'
        />
        <path
            d='M133.133 128.405L134.27 128.084L136.425 127.967L136.746 126.973L136.165 125.25L135.492 125.164L134.56 125.454L133.671 125.892L133.195 125.806L132.824 125.954'
            fill='white'
        />
        <path
            d='M133.115 127.818C133.115 127.818 133.874 127.466 133.991 127.497L133.67 125.892L134.047 125.744C134.047 125.744 134.313 127.263 134.313 127.436C134.313 127.436 135.943 127.522 136.091 127.522C136.091 127.522 136.443 126.849 136.357 126.151L136.678 127.084L136.709 127.608L136.239 128.306L135.714 128.424L134.837 128.393L134.547 128.016L133.528 128.164L133.207 128.282'
            fill='#DCD9D8'
        />
        <path
            d='M131.966 125.75L131.324 124.12L130.651 123.156C130.651 123.156 130.799 122.749 131.003 122.749H131.676L132.319 122.983L132.263 124.064L131.966 125.75Z'
            fill='white'
        />
        <path
            d='M132.096 125.194C132.096 125.194 131.281 123.619 131.281 123.385C131.281 123.385 131.429 123.033 131.633 123.119C131.837 123.206 132.275 123.44 132.275 123.44V122.885L131.281 122.681L130.608 122.767L131.744 125.459L131.978 125.49'
            fill='#DCD9D8'
        />
        <path
            d='M128.527 121.347L127.718 121.261L126.958 121.026V121.291L127.329 121.699L128.496 122.224'
            fill='white'
        />
        <path
            d='M127.223 121.434C127.223 121.434 128.125 121.81 128.422 121.724L128.452 122.076L127.637 121.903L127.143 121.551L127.223 121.434Z'
            fill='#DCD9D8'
        />
        <path
            d='M133.133 122.848C132.639 122.835 132.188 122.774 131.799 122.663C131.824 122.502 131.775 122.348 131.818 122.23C131.929 122.15 132.108 122.15 132.275 122.132C132.133 122.064 131.929 122.033 131.768 122.076C131.762 121.965 131.713 121.897 131.682 121.81C131.96 121.712 132.615 121.063 132.985 121.273C133.164 121.378 133.238 121.959 133.251 122.249C133.263 122.483 133.226 122.718 133.133 122.848Z'
            fill='#D33833'
        />
        <path
            d='M130.768 122.039C130.768 122.076 130.768 122.113 130.762 122.15C130.608 122.248 130.36 122.248 130.188 122.335C130.435 122.347 130.632 122.409 130.805 122.489C130.799 122.582 130.799 122.681 130.793 122.773C130.509 122.965 130.249 123.255 129.916 123.44C129.755 123.527 129.206 123.749 129.039 123.706C128.946 123.681 128.934 123.564 128.897 123.453C128.817 123.218 128.631 122.835 128.613 122.477C128.594 122.026 128.545 121.267 129.033 121.359C129.428 121.433 129.885 121.612 130.188 121.779C130.379 121.89 130.484 122.014 130.768 122.039Z'
            fill='#D33833'
        />
        <path
            d='M131.046 122.576C131.003 122.329 130.953 122.261 130.972 122.045C131.633 121.606 131.75 122.798 131.046 122.576'
            fill='#D33833'
        />
        <path
            d='M131.997 122.773C131.997 122.773 131.793 122.483 131.942 122.397C132.09 122.31 132.232 122.397 132.318 122.249C132.405 122.1 132.318 122.014 132.349 121.841C132.38 121.668 132.522 121.637 132.67 121.606C132.818 121.575 133.226 121.52 133.282 121.662L133.109 121.137L132.757 121.02L131.651 121.662L131.596 121.983V122.625M128.934 123.737C128.897 123.28 128.86 122.829 128.823 122.372C128.761 121.693 128.984 121.81 129.576 121.81C129.669 121.81 130.132 121.915 130.163 121.983C130.324 122.31 129.898 122.236 130.348 122.483C130.725 122.687 131.398 122.36 131.244 121.897C131.157 121.792 130.799 121.866 130.669 121.798L129.984 121.446C129.694 121.298 129.027 121.075 128.718 121.285C127.934 121.816 128.767 123.15 129.045 123.706'
            fill='#EF3D3A'
        />
        <path
            d='M129.706 113.406C128.909 113.221 128.514 113.74 128.273 114.277C128.057 114.228 128.144 113.931 128.199 113.783C128.341 113.394 128.916 112.869 129.385 112.943C129.583 112.968 129.854 113.153 129.706 113.406ZM133.578 114.308H133.615C133.794 114.678 133.948 115.074 134.177 115.407C134.023 115.765 133.028 116.074 133.041 115.444C133.257 115.351 133.627 115.426 133.819 115.302C133.708 114.999 133.553 114.74 133.578 114.308M130.107 114.32C130.28 114.635 130.336 114.962 130.577 115.197C130.688 115.302 130.898 115.432 130.793 115.728C130.768 115.796 130.589 115.95 130.484 115.981C130.107 116.092 129.224 116.006 129.521 115.53C129.836 115.543 130.256 115.734 130.49 115.506C130.311 115.222 129.99 114.654 130.107 114.32ZM133.436 117.494C132.868 117.858 132.232 118.26 131.293 118.167C131.096 117.994 131.015 117.605 131.213 117.352C131.312 117.525 131.25 117.846 131.534 117.895C132.065 117.988 132.683 117.568 133.065 117.426C133.3 117.025 133.047 116.883 132.831 116.623C132.392 116.099 131.812 115.444 131.83 114.66C132.009 114.53 132.022 114.857 132.046 114.913C132.275 115.444 132.849 116.129 133.263 116.586C133.368 116.698 133.535 116.809 133.553 116.883C133.609 117.093 133.411 117.352 133.436 117.494M125.914 117.111C125.735 117.006 125.692 116.562 125.482 116.549C125.18 116.531 125.235 117.13 125.235 117.482C125.031 117.297 124.994 116.716 125.143 116.42C124.97 116.333 124.895 116.512 124.797 116.574C124.926 115.679 126.112 116.16 125.914 117.111M133.794 117.871C133.529 118.377 133.152 118.933 132.374 118.951C132.355 118.791 132.343 118.538 132.374 118.439C132.973 118.377 133.343 118.075 133.794 117.871ZM130.064 118.198C130.558 118.457 131.472 118.488 132.151 118.47C132.189 118.618 132.189 118.803 132.189 118.982C131.318 119.019 130.293 118.803 130.064 118.198ZM129.972 118.68C130.317 119.544 131.497 119.445 132.491 119.421C132.448 119.532 132.355 119.668 132.232 119.711C131.911 119.841 131.034 119.939 130.589 119.705C130.311 119.557 130.126 119.217 129.972 119.019C129.904 118.927 129.533 118.686 129.972 118.68Z'
            fill='#231F20'
        />
        <path
            d='M133.393 123.441C132.991 124.132 132.602 124.842 132.127 125.447C132.324 124.861 132.411 123.873 132.442 123.12C132.862 122.922 133.22 123.163 133.393 123.441'
            fill='#81B0C4'
        />
        <path
            d='M135.56 125.923C135.109 126.015 134.794 126.454 134.35 126.423C134.597 126.083 135.017 125.935 135.56 125.923ZM135.758 126.627C135.387 126.664 134.955 126.726 134.584 126.695C134.763 126.423 135.443 126.522 135.758 126.627ZM135.887 127.238C135.474 127.244 134.961 127.238 134.566 127.207C134.801 126.954 135.622 127.115 135.887 127.238Z'
            fill='#231F20'
        />
        <path
            d='M132.614 128.905C132.676 129.424 132.88 129.949 132.855 130.517C132.627 130.591 132.497 130.659 132.188 130.659C132.17 130.177 132.102 129.437 132.12 128.973C132.268 128.986 132.491 128.868 132.614 128.905Z'
            fill='#DCD9D8'
        />
        <path
            d='M131.948 121.248C131.738 121.384 131.565 121.551 131.361 121.699C130.916 121.724 130.676 121.668 130.354 121.415C130.361 121.396 130.392 121.403 130.392 121.378C130.867 121.588 131.472 121.292 131.948 121.248'
            fill='#F0D6B7'
        />
        <path
            d='M129.465 124.478C129.595 123.916 130.107 123.62 130.57 123.311C131.046 123.916 131.336 124.694 131.657 125.447C130.898 125.219 130.126 124.855 129.465 124.478Z'
            fill='#81B0C4'
        />
        <path
            d='M132.121 128.979C132.102 129.443 132.164 130.177 132.189 130.665C132.498 130.665 132.627 130.597 132.856 130.523C132.881 129.955 132.677 129.43 132.615 128.911C132.491 128.868 132.269 128.986 132.121 128.979ZM127.354 126.361C127.557 128.22 127.848 129.776 128.385 131.425C129.577 131.789 131.009 131.82 132.065 131.493C131.874 130.566 131.954 129.436 131.843 128.442C131.757 127.695 131.8 126.948 131.683 126.188C130.404 125.923 128.601 126.127 127.354 126.361ZM131.985 126.201C131.973 126.997 132.022 127.788 132.084 128.584C132.393 128.541 132.596 128.51 132.881 128.442C132.788 127.676 132.8 126.806 132.609 126.127C132.393 126.133 132.201 126.127 131.985 126.201V126.201ZM133.535 126.071C133.387 126.04 133.22 126.071 133.084 126.071C133.152 126.719 133.307 127.436 133.362 128.121C133.578 128.127 133.696 128.022 133.875 127.991C133.887 127.392 133.825 126.565 133.535 126.071ZM135.888 128.22C136.345 128.109 136.629 127.553 136.499 126.979C136.413 126.596 136.265 125.867 136.098 125.62C135.981 125.441 135.653 125.2 135.388 125.367C134.962 125.639 134.214 125.719 133.906 126.046C134.06 126.565 134.109 127.269 134.171 127.923C134.702 127.954 135.351 127.775 135.795 127.967C135.486 128.066 135.091 128.066 134.826 128.214C135.048 128.319 135.554 128.3 135.888 128.22V128.22ZM131.652 125.447C131.331 124.694 131.04 123.916 130.565 123.311C130.102 123.619 129.595 123.916 129.459 124.478C130.126 124.855 130.898 125.219 131.652 125.447ZM132.442 123.119C132.411 123.873 132.325 124.861 132.127 125.447C132.603 124.836 132.992 124.132 133.393 123.44C133.22 123.163 132.862 122.922 132.442 123.119L132.442 123.119ZM131.547 122.804C131.368 122.786 131.213 123.014 130.979 122.916C130.923 122.977 130.874 123.039 130.818 123.101C131.337 123.731 131.578 124.62 131.979 125.355C132.195 124.645 132.17 123.873 132.22 123.101C131.923 123.113 131.757 122.823 131.547 122.804V122.804ZM130.972 122.045C130.954 122.261 131.003 122.329 131.046 122.576C131.75 122.798 131.633 121.606 130.972 122.045ZM130.188 121.786C129.885 121.619 129.429 121.44 129.033 121.366C128.545 121.273 128.595 122.033 128.613 122.483C128.632 122.841 128.817 123.218 128.897 123.459C128.935 123.57 128.947 123.687 129.04 123.712C129.206 123.749 129.762 123.533 129.916 123.447C130.25 123.268 130.509 122.977 130.793 122.78C130.799 122.687 130.799 122.588 130.806 122.496C130.633 122.409 130.441 122.354 130.188 122.341C130.355 122.255 130.608 122.255 130.762 122.156C130.762 122.119 130.762 122.082 130.769 122.045C130.484 122.014 130.379 121.891 130.188 121.786ZM127.286 121.261C127.033 121.52 127.996 121.866 128.298 121.884C128.298 121.724 128.391 121.57 128.373 121.452C128.008 121.39 127.533 121.434 127.286 121.261ZM130.398 121.378C130.398 121.403 130.367 121.397 130.361 121.415C130.688 121.668 130.929 121.724 131.368 121.699C131.565 121.557 131.744 121.384 131.954 121.248C131.473 121.292 130.867 121.588 130.398 121.378H130.398ZM133.251 122.243C133.239 121.958 133.165 121.372 132.985 121.267C132.615 121.051 131.96 121.705 131.683 121.804C131.713 121.891 131.763 121.958 131.769 122.07C131.936 122.026 132.133 122.057 132.275 122.125C132.109 122.144 131.93 122.144 131.818 122.224C131.781 122.341 131.831 122.496 131.8 122.656C132.189 122.767 132.64 122.823 133.134 122.841C133.226 122.718 133.263 122.483 133.251 122.243ZM126.86 121.508C126.779 121.452 126.242 120.754 126.168 120.785C125.198 121.168 124.291 121.829 123.482 122.459C124.254 124.12 124.569 126.151 124.624 128.109C125.507 128.522 126.285 129.121 127.489 129.183C127.347 128.201 127.224 127.318 127.144 126.392C126.841 126.262 126.409 126.398 126.125 126.355C126.125 126.015 126.557 126.207 126.594 125.978C126.619 125.805 126.353 125.793 126.44 125.521C126.662 125.602 126.779 125.781 127.014 125.849C127.23 125.379 127.014 124.546 127.045 124.151C127.051 124.077 127.082 123.743 127.249 123.799C127.397 123.848 127.242 124.694 127.255 125.064C127.267 125.41 127.212 125.738 127.354 125.954C128.515 125.793 129.694 125.694 130.954 125.657C130.676 125.54 130.349 125.429 129.99 125.225C129.793 125.114 129.182 124.885 129.126 124.7C129.033 124.404 129.361 124.249 129.416 123.996C128.83 124.317 128.718 123.688 128.576 123.249C128.453 122.848 128.379 122.545 128.348 122.317C127.835 122.057 127.292 121.816 126.86 121.508ZM132.738 120.865C133.547 120.477 133.696 122.329 133.375 122.928C133.424 123.107 133.591 123.175 133.659 123.335C133.208 124.144 132.708 124.898 132.244 125.694C132.584 125.478 133.078 125.657 133.48 125.497C133.628 125.441 133.733 125.102 133.844 124.83C134.153 124.089 134.474 123.15 134.616 122.446C134.647 122.286 134.739 121.934 134.715 121.792C134.678 121.532 134.332 121.341 134.153 121.187C133.825 120.89 133.622 120.637 133.276 120.359C133.146 120.563 132.85 120.699 132.738 120.866V120.865ZM125.013 113.696C124.63 114.122 124.711 114.913 124.754 115.481C125.452 115.043 126.372 115.518 126.366 116.259C126.699 116.253 126.489 115.845 126.427 115.58C126.23 114.721 126.761 113.795 126.452 113.011C125.853 113.06 125.365 113.301 125.013 113.696V113.696ZM127.767 111.233C126.897 111.48 125.779 112.116 125.421 112.9C125.699 112.857 125.89 112.721 126.162 112.702C126.267 112.696 126.403 112.745 126.52 112.715C126.755 112.653 126.958 112.122 127.137 111.924C127.31 111.733 127.52 111.646 127.662 111.473C127.755 111.43 127.891 111.43 127.897 111.294C127.86 111.251 127.817 111.22 127.767 111.233ZM132.306 111.467C131.398 110.955 129.867 110.572 128.904 111.053C128.126 111.442 127.076 112.085 126.718 112.894C127.051 113.678 126.619 114.394 126.588 115.191C126.576 115.617 126.786 115.981 126.804 116.444C126.687 116.636 126.341 116.654 126.1 116.642C126.02 116.234 125.878 115.777 125.458 115.728C124.865 115.66 124.427 116.154 124.402 116.667C124.371 117.272 124.865 118.272 125.569 118.204C125.841 118.179 125.909 117.908 126.205 117.908C126.366 118.229 125.958 118.328 125.915 118.556C125.902 118.618 125.946 118.846 125.977 118.957C126.106 119.482 126.39 120.168 126.668 120.569C127.026 121.082 127.724 121.156 128.478 121.205C128.613 120.915 129.107 120.94 129.428 121.014C129.04 120.859 128.681 120.489 128.385 120.162C128.045 119.785 127.699 119.384 127.681 118.89C128.329 119.785 128.86 120.569 130.034 120.964C130.923 121.261 131.96 120.828 132.646 120.347C132.93 120.149 133.097 119.828 133.3 119.544C134.054 118.457 134.406 116.913 134.332 115.413C134.301 114.796 134.301 114.178 134.091 113.764C133.875 113.332 133.14 112.937 132.708 113.332C132.627 112.906 133.066 112.647 133.578 112.801C133.214 112.326 132.831 111.764 132.306 111.467ZM133.998 125.429C134.708 125.077 136.03 124.484 136.468 125.429C136.635 125.781 136.827 126.367 136.907 126.732C137.024 127.238 136.777 128.313 136.252 128.479C135.789 128.627 135.252 128.621 134.696 128.51C134.628 128.455 134.56 128.362 134.505 128.263C134.109 128.251 133.733 128.282 133.424 128.448C133.455 128.745 133.257 128.788 133.066 128.85C132.93 129.399 133.344 130.116 133.245 130.61C133.177 130.968 132.738 131.023 132.417 131.085C132.405 131.283 132.43 131.449 132.454 131.616C132.38 131.888 132.053 132.042 131.738 132.079C130.707 132.203 129.144 132.258 128.156 131.9C127.878 131.221 127.662 130.4 127.434 129.628C126.471 129.733 125.686 129.214 124.951 128.868C124.698 128.751 124.346 128.683 124.247 128.479C124.155 128.282 124.192 127.905 124.167 127.553C124.112 126.645 124.056 125.768 123.821 124.842C123.716 124.422 123.525 124.058 123.395 123.657C123.272 123.286 123.062 122.823 123.006 122.452C122.926 121.903 123.445 121.872 123.772 121.631C124.285 121.261 124.686 121.057 125.242 120.723C125.408 120.625 125.902 120.378 125.958 120.26C126.069 120.032 125.767 119.711 125.686 119.532C125.557 119.248 125.489 119.007 125.47 118.729C125.007 118.655 124.649 118.377 124.439 118.068C124.087 117.55 123.84 116.592 124.149 115.87C124.173 115.814 124.291 115.697 124.309 115.611C124.346 115.438 124.241 115.209 124.235 115.024C124.204 114.079 124.396 113.264 125.032 112.98C125.291 111.949 126.217 111.609 127.088 111.097C127.415 110.905 127.774 110.782 128.144 110.646C129.472 110.158 131.516 110.251 132.621 111.084C133.09 111.436 133.838 112.183 134.103 112.727C134.813 114.153 134.758 116.543 134.264 118.284C134.196 118.519 134.103 118.859 133.967 119.143C133.875 119.34 133.585 119.729 133.615 119.902C133.652 120.081 134.282 120.557 134.418 120.686C134.659 120.921 135.122 121.23 135.159 121.526C135.202 121.841 135.023 122.273 134.931 122.576C134.634 123.589 134.338 124.521 133.998 125.429Z'
            fill='#231F20'
        />
        <path
            d='M129.273 118.414C129.311 118.365 129.52 118.284 129.817 118.426C129.817 118.426 129.465 118.482 129.496 119.069L129.348 119.038C129.354 119.044 129.199 118.513 129.273 118.414Z'
            fill='#F7E4CD'
        />
        <path
            d='M131.83 123.428C131.83 123.514 131.756 123.589 131.67 123.589C131.583 123.589 131.509 123.514 131.509 123.428C131.509 123.341 131.583 123.267 131.67 123.267C131.763 123.267 131.83 123.341 131.83 123.428ZM131.991 124.175C131.991 124.262 131.917 124.336 131.83 124.336C131.744 124.336 131.67 124.262 131.67 124.175C131.67 124.089 131.744 124.015 131.83 124.015C131.923 124.015 131.991 124.083 131.991 124.175Z'
            fill='#1D1919'
        />
        <circle
            cx='179.423'
            cy='20.5524'
            r='19.212'
            fill='white'
            stroke='var(--center-channel-color)'
        />
        <path
            d='M179.422 33.2244C186.421 33.2244 192.094 27.551 192.094 20.5525C192.094 13.5539 186.421 7.88049 179.422 7.88049C172.424 7.88049 166.75 13.5539 166.75 20.5525C166.75 27.551 172.424 33.2244 179.422 33.2244Z'
            fill='#4A8CFF'
        />
        <path
            d='M171.292 16.5855V22.5406C171.295 23.1865 171.554 23.8047 172.013 24.2594C172.472 24.7141 173.092 24.9681 173.738 24.9655H182.418C182.536 24.9661 182.649 24.9201 182.732 24.8376C182.816 24.7552 182.863 24.6429 182.864 24.5256V18.5705C182.861 17.9246 182.601 17.3064 182.142 16.8517C181.684 16.397 181.063 16.143 180.417 16.1456H171.74C171.681 16.1449 171.623 16.1558 171.569 16.1776C171.515 16.1994 171.466 16.2316 171.424 16.2725C171.383 16.3134 171.349 16.3621 171.327 16.4158C171.304 16.4695 171.292 16.5272 171.292 16.5855ZM183.416 18.9085L187 16.2904C187.311 16.0324 187.553 16.0973 187.553 16.564V24.5471C187.553 25.0782 187.258 25.0138 187 24.8201L183.416 22.2079V18.9085Z'
            fill='white'
        />
        <circle
            cx='196.655'
            cy='104.979'
            r='24.8439'
            fill='white'
            stroke='var(--center-channel-color)'
        />
        <path
            d='M196.592 88.7874C187.685 88.7874 180.463 96.0491 180.463 105.007C180.463 112.174 185.085 118.254 191.493 120.398C192.299 120.548 192.595 120.047 192.595 119.618C192.595 119.231 192.58 117.954 192.573 116.598C188.086 117.579 187.139 114.684 187.139 114.684C186.406 112.81 185.348 112.311 185.348 112.311C183.885 111.305 185.459 111.325 185.459 111.325C187.078 111.44 187.931 112.997 187.931 112.997C189.37 115.476 191.705 114.759 192.625 114.345C192.77 113.297 193.188 112.581 193.649 112.176C190.066 111.766 186.3 110.375 186.3 104.16C186.3 102.389 186.93 100.942 187.962 99.8065C187.795 99.3979 187.243 97.7483 188.118 95.5141C188.118 95.5141 189.473 95.0781 192.555 97.1767C193.842 96.8172 195.222 96.6371 196.592 96.631C197.963 96.6371 199.344 96.8172 200.633 97.1767C203.712 95.0781 205.064 95.5141 205.064 95.5141C205.942 97.7483 205.39 99.3979 205.222 99.8065C206.256 100.942 206.882 102.389 206.882 104.16C206.882 110.39 203.109 111.762 199.517 112.163C200.096 112.667 200.611 113.654 200.611 115.167C200.611 117.337 200.593 119.084 200.593 119.618C200.593 120.05 200.883 120.555 201.701 120.396C208.106 118.249 212.722 112.171 212.722 105.007C212.722 96.0491 205.5 88.7874 196.592 88.7874Z'
            fill='#161614'
        />
        <path
            d='M186.504 111.892C186.469 111.973 186.343 111.997 186.228 111.942C186.111 111.889 186.045 111.779 186.083 111.698C186.118 111.615 186.244 111.592 186.361 111.648C186.478 111.701 186.545 111.811 186.504 111.892ZM187.298 112.604C187.221 112.676 187.07 112.643 186.968 112.529C186.863 112.416 186.843 112.265 186.921 112.192C187 112.121 187.146 112.154 187.252 112.267C187.358 112.382 187.378 112.532 187.298 112.604M187.842 113.515C187.743 113.584 187.581 113.519 187.482 113.375C187.383 113.231 187.383 113.058 187.484 112.989C187.584 112.919 187.743 112.982 187.844 113.125C187.943 113.271 187.943 113.444 187.842 113.515M188.762 114.57C188.674 114.668 188.486 114.642 188.348 114.508C188.207 114.377 188.168 114.192 188.256 114.093C188.346 113.995 188.535 114.023 188.674 114.156C188.814 114.286 188.857 114.473 188.763 114.57M189.952 114.926C189.913 115.053 189.732 115.111 189.549 115.057C189.367 115.001 189.247 114.853 189.284 114.724C189.322 114.596 189.504 114.536 189.688 114.594C189.87 114.649 189.99 114.797 189.952 114.926M191.306 115.077C191.311 115.211 191.156 115.322 190.964 115.324C190.771 115.329 190.615 115.22 190.613 115.089C190.613 114.954 190.764 114.844 190.957 114.841C191.149 114.837 191.306 114.944 191.306 115.077ZM192.636 115.026C192.659 115.156 192.526 115.291 192.335 115.326C192.148 115.361 191.975 115.28 191.951 115.151C191.928 115.017 192.064 114.883 192.25 114.848C192.441 114.815 192.612 114.893 192.636 115.026Z'
            fill='#161614'
        />
        <circle
            cx='2'
            cy='2'
            r='2'
            transform='matrix(1 8.74228e-08 8.74228e-08 -1 140.999 5)'
            fill='var(--center-channel-color)'
            fillOpacity='0.48'
        />
        <defs>
            <linearGradient
                id='paint0_linear_4220_138151'
                x1='83.5931'
                y1='109.2'
                x2='80.6469'
                y2='112.328'
                gradientUnits='userSpaceOnUse'
            >
                <stop
                    offset='0.176'
                    stopColor='#0052CC'
                />
                <stop
                    offset='1'
                    stopColor='#2684FF'
                />
            </linearGradient>
            <linearGradient
                id='paint1_linear_4220_138151'
                x1='80.2609'
                y1='112.675'
                x2='76.8486'
                y2='116.094'
                gradientUnits='userSpaceOnUse'
            >
                <stop
                    offset='0.176'
                    stopColor='#0052CC'
                />
                <stop
                    offset='1'
                    stopColor='#2684FF'
                />
            </linearGradient>
            <clipPath id='clip0_4220_138151'>
                <rect
                    width='137.691'
                    height='85.4942'
                    fill='white'
                    transform='translate(43.5198 23.8393)'
                />
            </clipPath>
        </defs>
    </svg>
);

export default ToolsImage;
